jni: Add all dependencies and their compilation scripts
Compilation has been verified for all target platforms using a slightly
modified version of CrystaX NDK 10.1.0 (the issue has been resolved with
not yet release 10.2.0)
Change-Id: I99f6c270ae8732adfa402d75ba04f42b179a1a9b
diff --git a/.jenkins.d/10-get-ndk.sh b/.jenkins.d/10-get-ndk.sh
new file mode 100755
index 0000000..79368f0
--- /dev/null
+++ b/.jenkins.d/10-get-ndk.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+set -e
+set -x
+
+if [ ! -f downloads/crystax-ndk-10.1.0-linux-x86_64.7z ]; then
+ mkdir downloads || true
+ cd downloads
+ wget --no-check-certificate https://www.crystax.net/download/crystax-ndk-10.1.0-linux-x86_64.7z
+ cd ..
+fi
+
+if [ ! -d crystax-ndk-10.1.0 ]; then
+ echo -en 'travis_fold:start:NDK\r'
+ 7z x downloads/crystax-ndk-10.1.0-linux-x86_64.7z > /dev/null
+ find crystax-ndk-10.1.0 -name byteswap.h -exec sed -i -e 's/ swap/ bswap/g' {} \;
+ echo -en 'travis_fold:end:NDK\r'
+fi
+
+echo ndk.dir=`pwd`/crystax-ndk-10.1.0 >> local.properties